import type { FC } from 'react';
import type { WidgetProps } from '../types/widget-schema';
declare class WidgetRegistry {
    private registry;
    constructor();
    addWidget(name: string, component: FC<WidgetProps>): void;
    getWidget(name: string): FC<WidgetProps> | undefined;
    clear(): void;
}
export declare const widgetRegistry: WidgetRegistry;
export {};
